missing file in kdoctools.install script

Bug #935521 reported by Andreas Moog on 2012-02-18
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kde-l10n-ru (Ubuntu)
High
Unassigned
Precise
High
Unassigned
kde4libs (Ubuntu)
High
Felix Geyer
Precise
High
Felix Geyer

Bug Description

This is a semi-automatic report based on the latest archive rebuild results [1].
Apologies if it reaches you in error.

Excerpt from the buildlog:

make[3]: Leaving directory `/build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu'
make -f docs/kdeedu/marble/CMakeFiles/marble-handbook.dir/build.make docs/kdeedu/marble/CMakeFiles/marble-handbook.dir/build
make[3]: Entering directory `/build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu'
/usr/bin/cmake -E cmake_progress_report /build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu/CMakeFiles
[ 84%] Generating index.cache.bz2
cd /build/buildd/kde-l10n-ru-4.8.0/docs/kdeedu/marble && /usr/bin/meinproc4 --check --cache /build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu/docs/kdeedu/marble/index.cache.bz2 /build/buildd/kde-l10n-ru-4.8.0/docs/kdeedu/marble/index.docbook
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: cannot open shared object file: No such file or directory)"
warning: failed to load external entity "file:///usr/share/kde4/apps/ksgmltools2/customization/ru/entities/underLGPL.docbook"
index.docbook:1769: parser error : Failure to process entity underLGPL
&underFDL; &underLGPL; </chapter>
                      ^
index.docbook:1769: parser error : Entity 'underLGPL' not defined
&underFDL; &underLGPL; </chapter>
                      ^
make[3]: *** [docs/kdeedu/marble/index.cache.bz2] Error 1
make[3]: Leaving directory `/build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu'
make[2]: *** [docs/kdeedu/marble/CMakeFiles/marble-handbook.dir/all] Error 2
make[2]: Leaving directory `/build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd/kde-l10n-ru-4.8.0/obj-i686-linux-gnu'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20120213-0206
FAILED [dpkg-buildpackage died]

The full buidlog can be found at https://launchpad.net/ubuntu/+archive/test-rebuild-20120201/+build/3152467/+files/buildlog_ubuntu-precise-i386.kde-l10n-ru_4:4.8.0-0ubuntu1_FAILEDTOBUILD.txt.gz.

[1] http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20120201-precise.html

Andreas Moog (ampelbein) on 2012-02-18
Changed in kde-l10n-ru (Ubuntu):
importance: Undecided → High
Changed in kde-l10n-ru (Ubuntu):
status: New → Incomplete
status: Incomplete → Confirmed
Matthias Klose (doko) on 2012-02-22
Changed in kde-l10n-ru (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-1
yurikoles (yurikoles) wrote :

This is actually bug in kdoctools, in which file /usr/share/kde4/apps/ksgmltools2/customization/ru/entities/underLGPL.docbook is missing.

yurikoles (yurikoles) wrote :

here is a trivial patch

yurikoles (yurikoles) on 2012-02-25
Changed in kde4libs (Ubuntu Precise):
status: New → Confirmed
Felix Geyer (debfx) on 2012-02-25
Changed in kde4libs (Ubuntu Precise):
assignee: nobody → Felix Geyer (debfx)
importance: Undecided → High
milestone: none → ubuntu-12.04-beta-1
status: Confirmed → In Progress
Felix Geyer (debfx) on 2012-02-25
Changed in kde-l10n-ru (Ubuntu Precise):
status: Confirmed → Invalid
yurikoles (yurikoles) wrote :

Here is valid patch.

Changed in kde-l10n-ru (Ubuntu Precise):
status: Invalid → In Progress
status: In Progress → Invalid
summary: - kde-l10n-ru version 4:4.8.0-0ubuntu1 FTBFS on i386 in precise
+ missing file in kdoctools.install script
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.8.0-0ubuntu2

---------------
kde4libs (4:4.8.0-0ubuntu2) precise; urgency=low

  * Install underLGPL.docbook into kdoctools to fix FTBFS of kde-l10n-ru.
    (LP: #935521)
  * Install KDescendantsProxyModel into kdelibs5-dev.
 -- Felix Geyer <email address hidden> Sat, 25 Feb 2012 19:06:52 +0100

Changed in kde4libs (Ubuntu Precise):
status: In Progress → Fix Released
Scott Kitterman (kitterman) wrote :

Confirmed that kde-l10n-ru builds correctly now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers